hadoop-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From 麦树荣 <shurong....@qunar.com>
Subject 答复: Unable to load native-hadoop library
Date Mon, 20 Apr 2015 05:59:41 GMT
hi,

You can build native lib in your platform with maven:
mvn package -Pnative -DskipTests

发件人: Mahmood Naderan [mailto:nt_mahmood@yahoo.com]
发送时间: 2015年4月19日 2:54
收件人: User
主题: Unable to load native-hadoop library

Hi,
Regarding this warning

WARN util.NativeCodeLoader: Unable to load native-hadoop library for your platform... using
builtin-java classes where applicable

It seems that the prebuild 32-bit binary is not compatible on the host's 64-bit architecture.
Just want to know does it make sense? Is there any concern about the functionality?

Regards,
Mahmood


Mime
View raw message